﻿
using Spire.Xls;

namespace _407Excles
{
    class Program
    {
        static void Main(string[] args)
        {
            //open the source excel(2007)
            Workbook workbookSrc = new Workbook();
            workbookSrc.LoadFromFile(@"..\..\source.xlsx", ExcelVersion.Version2007);

            //get the defined name of source
            Worksheet sheetSrc = workbookSrc.Worksheets["employee"];
            CellRange r1 = sheetSrc.Range["definedName"];

            //open the target excel(97-2003)
            Workbook workbookTarget = new Workbook();
            workbookTarget.LoadFromFile(@"..\..\target.xls", ExcelVersion.Version97to2003);

            //import the defined name from source to target
            CellRange destRange = workbookTarget.Worksheets[0].Range["A23:F23"];
            r1.Copy(destRange, true, true);

            //save the output as excel2007
            workbookTarget.SaveToFile(@"..\..\output.xlsx", ExcelVersion.Version2007);

            //launch the output
            System.Diagnostics.Process.Start(@"..\..\output.xlsx");
        }
    }
}
