﻿using System;
using Spire.Xls;

namespace ScenarioB
{
    class Program
    {
        static void Main(string[] args)
        {
            //oepn the source excel
            Workbook workbookSrc = new Workbook();
            workbookSrc.LoadFromFile(@"..\..\source.xls", ExcelVersion.Version97to2003);
         
            //get the defined name of source
            Worksheet sheetSrc = workbookSrc.Worksheets["parts"];
            CellRange c2 = sheetSrc.Range["namedRange"];
          
            //open the target excel(97-2003)
            Workbook workbookTarget = new Workbook();
            workbookTarget.LoadFromFile(@"..\..\target.xls", ExcelVersion.Version97to2003);

            //import the defined name from source to target
            CellRange destRange = workbookTarget.Worksheets[0].Range["A23:F23"];
            c2.Copy(destRange, true, true);

            //save the output
            workbookTarget.SaveToFile(@"..\..\output.xls", ExcelVersion.Version97to2003);

            //launch the output
            System.Diagnostics.Process.Start(@"..\..\output.xls");
        }
    }
}
